﻿@model AuthnData.Models.Login.LoginViewModel
@{
    var returnUrl = ViewData["ReturnUrl"] as string;
    var error = TempData["Error"] as string;
    ViewData["Title"] = "Connexion";
}
@if(string.IsNullOrEmpty(returnUrl))
{
    returnUrl = System.Net.WebUtility.UrlEncode("Home") as string;
}
    <div>
        <h1>Login</h1>
    </div>
    <hr />  
    <div class="row custom-flex-row">  
        <div class="col-md-9 custom-flex-register"> 
            <form action="/login?ReturnUrl=@System.Net.WebUtility.UrlEncode(returnUrl)" method="post" class="custom-register-form">
                <div class="form-group custom-flex-register-form-elemets">  
                    <label asp-for="Email" class="control-label custom-form-control-label">E-mail</label>  
                    <input asp-for="Email" type="email" name="Email" placeholder="ex: exemple@mail.fr"/>
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <hr class="hr-register"/>
                <div class="form-group custom-flex-register-form-elemets">  
                    <label class="control-label custom-form-control-label">Mot de passe</label>  
                    <input type="password" name="password" placeholder="ex: exemple@mail.fr"/>
                    <span  class="text-danger"></span>  
                </div>
                <a asp-controller="Login" asp-action="ResetPassword">Mot de passe oublié ?</a>
                <br />
                <label asp-for="RememberMe" class="control-label custom-form-control-label"></label>
                <input asp-for="RememberMe" type="checkbox" name="RememberMe" value="false" checked="false" class="colored-checkbox" onclick="this.value=this.checked" />
                <span asp-validation-for="RememberMe" class="text-danger"></span>
                <hr class="hr-register"/>
            @if(!string.IsNullOrEmpty(error))
            {
                <h2 class="alert-danger" style="padding:20px;">@error</h2>
            }
     
                <input type="submit" value="Se connecter" class="btn btn-primary" id="colored-button"/>
            </form>